# ashen theme

evaluate-commands %sh{

    cursorline="rgb:191919"
    text="rgb:b4b4b4"
    red_flame="rgb:C53030"
    red_glowing="rgb:DF6464"
    red_ember="rgb:B14242"
    orange_glow="rgb:D87C4A"
    orange_blaze="rgb:C4693D"
    orange_muted="rgb:6D3B22"
    orange_smolder="rgb:E49A44"
    orange_golden="rgb:E5A72A"
    golden_muted="rgb:6D4D0D"
    brown="rgb:89492a"
    brown_dark="rgb:322119"
    blue="rgb:4A8B8B"
    background="rgb:121212"
    g_1="rgb:e5e5e5"
    g_2="rgb:d5d5d5"
    g_3="rgb:b4b4b4"
    g_4="rgb:a7a7a7"
    g_5="rgb:949494"
    g_6="rgb:737373"
    g_7="rgb:535353"
    g_8="rgb:323232"
    g_9="rgb:212121"
    g_10="rgb:1d1d1d"
    g_11="rgb:191919"
    g_12="rgb:151515"

    echo "
        # Code highlighting
        face global value         ${blue}
        face global type          ${blue}
        face global variable      ${g_3}
        face global module        ${orange_glow}+b
        face global function      ${g_3}+b
        face global string        ${red_glowing}
        face global keyword       ${red_ember}
        face global operator      ${orange_glow}
        face global attribute     ${g_4}
        face global comment       ${g_6}+i
        face global documentation comment
        # TODO: change
        face global meta          ${aqua}
        face global builtin       ${fg}+b

        # Markdown highlighting
        face global title     ${green}+b
        face global header    ${orange}
        face global mono      ${fg4}
        face global block     ${aqua}
        face global link      ${blue}+u
        face global bullet    ${yellow}
        face global list      ${fg}

        face global Default            ${fg},${bg}
        face global PrimarySelection   ${fg_alpha},${blue}+g
        face global SecondarySelection ${bg_alpha},${blue}+g
        face global PrimaryCursor      ${bg},${fg}+fg
        face global SecondaryCursor    ${bg},${bg4}+fg
        face global PrimaryCursorEol   ${bg},${fg4}+fg
        face global SecondaryCursorEol ${bg},${bg2}+fg
        face global LineNumbers        ${bg4}
        face global LineNumberCursor   ${yellow},${bg1}
        face global LineNumbersWrapped ${bg1}
        face global MenuForeground     ${bg2},${blue}
        face global MenuBackground     ${fg},${bg2}
        face global MenuInfo           ${bg}
        face global Information        ${bg},${fg}
        face global Error              ${bg},${red}
        face global DiagnosticError    ${red}
        face global DiagnosticWarning  ${yellow}
        face global StatusLine         ${fg},${bg}
        face global StatusLineMode     ${yellow}+b
        face global StatusLineInfo     ${purple}
        face global StatusLineValue    ${red}
        face global StatusCursor       ${bg},${fg}
        face global Prompt             ${yellow}
        face global MatchingChar       ${fg},${bg3}+b
        face global BufferPadding      ${bg2},${bg}
        face global Whitespace         ${bg2}+f
    "
}
